Page MenuHomePhabricator

Count on Special:Statistics is less useful due to MassMessageSubmitJob
Closed, ResolvedPublic

Description

Special:Statistics displays the number of 'MassMessageJob' job's that are currently queued. Jobs that are submitted submit one 'MassMessageSubmitJob', which in turn submits individual 'MassMessageJob's.

So if your job queue isn't insta-fast, if you submit a job and view Special:Statistics before the submit job runs, you'll see 0 even though there are jobs queued.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:27 AM
bzimport added a project: MassMessage.
bzimport set Reference to bz56878.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Nov 11 2013, 1:44 AM

So, Should the column be removed from Special:Statistics ? or the counter put up the count from submit jobs done ?

Change 116094 had a related patch set uploaded by 01tonythomas:
Removed Count column from Special:Statistics Table

https://gerrit.wikimedia.org/r/116094

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2015, 5:03 PM
Nikerabbit added a subscriber: Nikerabbit.

The number of jobs is not shown on Special:Statistics. On the other hand we should not redirect people there.

Change 584609 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/MassMessage@master] Do not point people to Special:Statistics after sending a message

https://gerrit.wikimedia.org/r/584609

Nikerabbit updated the task description. (Show Details)Apr 2 2020, 11:41 AM

Change 584609 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Do not point people to Special:Statistics after sending a message

https://gerrit.wikimedia.org/r/584609

This number is still shown via the API, like normal jobqueue length.

Pginer-WMF closed this task as Resolved.May 7 2020, 1:15 PM